Bug 216578 - Request update to release 0.87.7 and I have a working srpm for this
Summary: Request update to release 0.87.7 and I have a working srpm for this
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-21 05:56 UTC by Jef Spaleta
Modified: 2008-08-18 18:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 06:53:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jef Spaleta 2006-11-21 05:56:21 UTC
Description of problem:

Version-Release number of selected component (if applicable):
0.87.6 currently is unbuildable against fedora core 6.

And there appears to be a problem with the applied patch to set the default
numerix interface.

I have rolled a working version of 0.87.7 which changes the default numerix
interface to numpy and added a new patch to fix a build time issue with tkinker
probing. 0.87.7 wants to open a tk window as a test during building.. which
doesnt really work under rpmbuild environment.


I can shoot you the full srpm to use via email if you would like. Or I can
attach the spec and patches as attachements to this email.  sadly i don't have a
publicly available webspace right now.


If you are willing to have me as a co-maintainer, I can commit this to Extras
development and then to fe6.  Once I get this updated I want to move on and work
on getting scipy into extras as well.

-jef

Comment 1 Jef Spaleta 2006-11-21 06:21:09 UTC
Working srpm for 0.87.7 can be found at the following url.
I have tested this in fc6 and it works with both the current numpy in fe6
and with numpy in extras-development which will soon be pushed as an update to fe6


http://jspaleta.thecodergeek.com/Fedora%20SRPMS/python-matplotlib-0.87.7-1.src.rpm

-jef

Comment 2 Orion Poplawski 2006-11-21 16:40:21 UTC
Thanks Jef.  I've committed your changes to the development branch and built a
new package.  I've been holding of on changing to numpy until 1.0 hit, which I
guess it has in devel.

I'm happy to have you as co-maintainer, so if you want to take care of the FE6
branch, that would be fine by me.

Comment 3 Jef Spaleta 2006-11-25 03:30:37 UTC
numpy 1.0.1 has landed in fe6 as well.  Would you like me to do the necessary
steps to get matplotlib updated in fe6 as co-maintainer?

-jef

Comment 4 Orion Poplawski 2006-11-27 16:30:31 UTC
(In reply to comment #3)
> numpy 1.0.1 has landed in fe6 as well.  Would you like me to do the necessary
> steps to get matplotlib updated in fe6 as co-maintainer?

Feel free.  Should just be a matter of copying over the stuff from devel.  Thanks!

Comment 5 Jef Spaleta 2006-11-29 06:53:58 UTC
Okay I've added myswlf to the owners.list file and pushed a commit into the FC-6
branch.  A build is in progress now in the buildsystem.  I'm closing this bug
out. Hopefully I did everything right to enroll as a co-maintainer so that I
automatically get bugs about this package.

-jef


Note You need to log in before you can comment on or make changes to this bug.